require "helthCalc/version"

module HelthCalc
	class << self
		def calcBMI(height, weight)
			return weight / ((height / 100.0) ** 2)
		end

		def calcStandardWeight(height)
			return ((height / 100.0) ** 2) * 22
		end
		
		def calcRohrer(height, weight)
		  	return weight.fdiv(height ** 3) * (10 ** 7)
		end

		def calcRohrerStandardWeight(height)
			return ((height / 100.0) ** 3) * 13
		end
	end
end

